Autor Tópico: [RESOLVIDO]Dolphin-emulator: problemas na biblioteca  (Lida 4383 vezes)

Offline nomade

  • O negócio não tem alma
  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.195
  • O negócio não tem alma
    • Ver perfil
[RESOLVIDO]Dolphin-emulator: problemas na biblioteca
« Online: 22 de Junho de 2010, 20:07 »
Bem... vou postar todo o acontecimento:

Instalei o dolphin pelo pacote deb do ubuntu games, mas apesar de instalar todas as libs, tem uma que ele não identifica

Vejam:

(tentei pelo terminal)

nomade@nomade-desktop:~$ dolphin-emulator
./dolphin-emu: error while loading shared libraries: libCg.so: cannot open shared object file: No such file or directory

(tentei instalar a lib, que deveria ter sido instalada com o pacote deb)

nomade@nomade-desktop:~$ sudo apt-get install nvidia-cg-toolkit
[sudo] password for nomade:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
nvidia-cg-toolkit já é a versão mais nova.
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 0 não atualizados.

O problema persiste:

nomade@nomade-desktop:~$ dolphin-emulator
./dolphin-emu: error while loading shared libraries: libCg.so: cannot open shared object file: No such file or directory

==============

Minhas configurações:

Ubuntu 10.04
Celeron 430
2.5 GB de Ram
ATI Radeon HD 4350 (512 MB)
Catalyst instalado e atualizado, compiz e desktop 3D ok

Um PC modesto, porém roda na boa o Dolphin pelo que ví nas configurações necessárias...

Preciso de ajuda, não sei mais o que tentar...
« Última modificação: 25 de Junho de 2010, 00:49 por nomade »
Ubuntu Studio 22.04 LTS

Offline Falco90

  • Usuário Ubuntu
  • *
  • Mensagens: 669
  • mais um desocupado à procura de ajudar quase todos
    • Ver perfil
    • Blog de Tecnologia
Re: Dolphin-emulator: problemas na biblioteca
« Resposta #1 Online: 22 de Junho de 2010, 20:30 »
Verifica se todas as dependências estão instaladas:
Código: [Selecionar]
sudo apt-get install subversion scons g++ wx2.8-headers libwxbase2.8-0 libwxbase2.8-dbg libwxbase2.8-dev libwxgtk2.8-0 libwxgtk2.8-dbg libwxgtk2.8-dev libgtk2.0-dev libsdl1.2-dev nvidia-cg-toolkit libxrandr2-dbg libxrandr-dev libxext6-dbg libxext-dev libglew1.5-dev libcairo2-dbg libcairo2-dev libao2 libao-dev libbluetooth-dev libreadline5-dev
« Última modificação: 23 de Junho de 2010, 12:00 por Falco90 »

Offline nomade

  • O negócio não tem alma
  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.195
  • O negócio não tem alma
    • Ver perfil
Re: Dolphin-emulator: problemas na biblioteca
« Resposta #2 Online: 23 de Junho de 2010, 10:59 »
Putz...

Amigo, o comando correto seria esse:

sudo apt-get install subversion scons g++ wx2.8-headers libwxbase2.8-0 libwxbase2.8-dbg libwxbase2.8-dev libwxgtk2.8-0 libwxgtk2.8-dbg libwxgtk2.8-dev libgtk2.0-dev libsdl1.2-dev nvidia-cg-toolkit libxrandr2-dbg libxrandr-dev libxext6-dbg libxext-dev libglew1.5-dev libcairo2-dbg libcairo2-dev libao2 libao-dev libbluetooth-dev libreadline5-dev

"sudo com letra minúscula" se não não vai  ;) (para que estiver com o mesmo problema e quiser tentar ver se falta mais algo http://www.ubuntugames.org/br/emulator/dolphin-emulator)

E sim... instalei todas as dependências...

A dependência que falta é essa em negrito "error while loading shared libraries: libCg.so: cannot open shared object file: No such file or directory"

que é na verdade essa -> nvidia-cg-toolkit




Ubuntu Studio 22.04 LTS

Offline nomade

  • O negócio não tem alma
  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.195
  • O negócio não tem alma
    • Ver perfil
Re: Dolphin-emulator: problemas na biblioteca
« Resposta #3 Online: 25 de Junho de 2010, 00:49 »
Consegui resolver o problema

A no synaptic do Ubuntu 10.04 o pacote nvidia-cg-toolkit que está disponível ainda está em faze de teste...
é só substituir pela versão anterior!

quem tiver o mesmo problema pode baixar a versão anterior aqui http://packages.debian.org/lenny/nvidia-cg-toolkit

Ubuntu Studio 22.04 LTS